OpenSSL X.509 public key denial of service

openssl-x509-dos (29230) The risk level is classified as MediumMedium Risk

Description:

OpenSSL is vulnerable to a denial of service attack, caused by improper handling of X.509 certificates. A remote attacker could exploit this vulnerability by sending a message signed with a specially-crafted RSA key to consume a large amount of system resources, resulting in a denial of service.

*CVSS:

Base Score: 5
  Access Vector: Remote
  Access Complexity: Low
  Authentication: Not Required
  Confidentiality Impact: None
  Integrity Impact: None
  Availability Impact: Complete
 
Temporal Score: 3.7
  Exploitability: Unproven
  Remediation Level: Official-Fix
  Report Confidence: Confirmed

Consequences:

Denial of Service

Remedy:

Apply Apple Security Update 2006-007, available from the Apple Web site. See References.

Upgrade to the latest version of OpenSSL (0.9.7l or 0.9.8d or later), as listed in OpenSSL Security Advisory [28th September 2006]. See References.

For Ubuntu Linux:
Refer to USN-353-1 for patch, upgrade, or workaround information. See References.

For FreeBSD:
Refer to FreeBSD-SA-06:23.openssl for patch, upgrade, or workaround information. See References.

For Debian GNU/Linux:
Refer to DSA-1185-1 for patch, upgrade, or suggested workaround information. See References.

For Debian GNU/Linux (openssl096):
Refer to DSA-1195-1 for patch, upgrade, or suggested workaround information. See References.

For Red Hat Linux:
Refer to RHSA-2006:0695-12 for patch, upgrade, or suggested workaround information. See References.

For Kolab Server:
Refer to Kolab Security Issue 11 20061002 for patch, upgrade, or suggested workaround information. See References.

For Mandriva Linux:
Refer to MDKSA-2006:172-1 for patch, upgrade, or suggested workaround information. See References.

For OpenVPN:
Refer to OpenVPNT 2.0.x Change Log for patch, upgrade, or suggested workaround information. See References.

For Gentoo Linux:
Refer to Gentoo Linux Security Announcement GLSA 200610-11 for patch, upgrade, or suggested workaround information. See References.

For Gentoo Linux AMD64 x86:
Refer to Gentoo Linux Security Announcement GLSA 200612-11 for patch, upgrade, or suggested workaround information. See References.

For Cisco:
Refer to cisco-sr-20061108-openssl for upgrade information. See References.

For VMware Workstation:
Upgrade to the latest version of VMware Workstation (6.0.3 or later), available from the VMware Workstation Web site. See References.

For VMware Server:
Upgrade to the latest version of VMware Server (1.0.5 or later), available from the VMware Server Web site. See References.

For SUSE Linux:
Refer to SUSE-SA:2006:058 for patch, upgrade, or suggested workaround information. See References.

For HP Tru64 UNIX (OpenSSL):
Refer to HPSBTU02207 SSRT061239 rev.2 for patch, upgrade, or suggested workaround information. See References.

For HP System Management Homepage:
Refer to HPSBMA02250 SSRT061275 rev.1 for patch, upgrade, or suggested workaround information. See References.

For Xerox:
Refer to XEROX SECURITY BULLETIN XRX07-001 for patch, upgrade, or suggested workaround information. See References.

For other distributions:
Apply the appropriate update for your system. See References.

References:

Platforms Affected:

  • Apple Mac OS X 10.3.9
  • Apple Mac OS X 10.4.8
  • Apple Mac OS X Server 10.3.9
  • Apple Mac OS X Server 10.4.8
  • Attachmate Reflection for Secure IT 7.0 SP1
  • Canonical Ubuntu 5.04
  • Canonical Ubuntu 5.10
  • Canonical Ubuntu 6.06 LTS
  • Cisco Access Registrar
  • Cisco Application and Content Networking Software
  • Cisco Application Control Engine Module 1.1
  • Cisco CallManager Express
  • Cisco CiscoWorks Common Management Foundation
  • Cisco CiscoWorks Common Services
  • Cisco Content Services Switch 11500 7.50
  • Cisco Content Services Switch 11500 8.10
  • Cisco CS-MARS 4.2.2
  • Cisco GSS 4480 Global Site Selector
  • Cisco GSS 4490 Global Site Selector
  • Cisco GSS 4491 Global Site Selector
  • Cisco GSS 4492 Global Site Selector
  • Cisco IDS
  • Cisco MDS 9500
  • Cisco ONS 15454
  • Cisco Secure Access Control Server
  • Cisco Security Agent 5.1
  • Cisco SIP Proxy Server
  • Cisco Unified CallManager 4.1
  • Cisco Unified Presence Server
  • Cisco Wide Area Application Services
  • Cisco Wide Area File Services Software
  • Cisco Wireless LAN Controller 4.0
  • Compaq Insight Management Agents 3.5.2
  • Compaq Tru64 5.1b3
  • Compaq Tru64 5.1b4
  • Debian Debian Linux 3.1
  • FreeBSD FreeBSD
  • Gentoo Linux
  • HP System Management Homepage 2.1
  • HP System Management Homepage 2.1.1
  • HP System Management Homepage 2.1.2
  • HP System Management Homepage 2.1.3
  • HP System Management Homepage 2.1.4
  • HP System Management Homepage 2.1.5
  • HP System Management Homepage 2.1.6
  • Kolab Kolab Server 2.0.4
  • Kolab Kolab Server 2.1 beta 2
  • MandrakeSoft Mandrake Linux 2006 X86_64
  • MandrakeSoft Mandrake Linux 2006
  • MandrakeSoft Mandrake Linux 2007
  • MandrakeSoft Mandrake Linux 2007 X86_64
  • MandrakeSoft Mandrake Linux Corporate Server 3.0
  • MandrakeSoft Mandrake Linux Corporate Server 3.0 X86_64
  • MandrakeSoft Mandrake Linux Corporate Server 4.0
  • MandrakeSoft Mandrake Linux Corporate Server 4.0 X86_64
  • MandrakeSoft Mandrake Multi Network Firewall 2.0
  • Novell Linux Desktop 9
  • Novell Linux POS 9
  • Novell Open Enterprise Server
  • Novell Open Enterprise Server
  • Novell UnitedLinux 1.0
  • OpenPKG OpenPKG 2-STABLE
  • OpenPKG OpenPKG 2.5
  • OpenPKG OpenPKG CURRENT
  • OpenSSL OpenSSL 0.9.7 Beta1
  • OpenSSL OpenSSL 0.9.7 Beta3
  • OpenSSL OpenSSL 0.9.7 Beta2
  • OpenSSL OpenSSL 0.9.7 Beta5
  • OpenSSL OpenSSL 0.9.7
  • OpenSSL OpenSSL 0.9.7 Beta6
  • OpenSSL OpenSSL 0.9.7 Beta4
  • OpenSSL OpenSSL 0.9.7a
  • OpenSSL OpenSSL 0.9.7b
  • OpenSSL OpenSSL 0.9.7c
  • OpenSSL OpenSSL 0.9.7d
  • OpenSSL OpenSSL 0.9.7e
  • OpenSSL OpenSSL 0.9.7f
  • OpenSSL OpenSSL 0.9.7g
  • OpenSSL OpenSSL 0.9.7h
  • OpenSSL OpenSSL 0.9.7i
  • OpenSSL OpenSSL 0.9.7j
  • OpenSSL OpenSSL 0.9.7k
  • OpenSSL OpenSSL 0.9.8
  • OpenSSL OpenSSL 0.9.8a
  • OpenSSL OpenSSL 0.9.8b
  • OpenSSL OpenSSL 0.9.8c
  • OpenVPN OpenVPN 2.0.9
  • RedHat Enterprise Linux 2.1 AS
  • RedHat Enterprise Linux 2.1 ES
  • RedHat Enterprise Linux 2.1 WS
  • RedHat Enterprise Linux 3 WS
  • RedHat Enterprise Linux 3 ES
  • RedHat Enterprise Linux 3 AS
  • RedHat Enterprise Linux 3 Desktop
  • RedHat Enterprise Linux 4 AS
  • RedHat Enterprise Linux 4 WS
  • RedHat Enterprise Linux 4 ES
  • RedHat Enterprise Linux 4 Desktop
  • RedHat Enterprise Linux ES
  • RedHat Enterprise Linux WS
  • RedHat Enterprise Linux AS
  • RedHat Linux Advanced Workstation 2.1 Itanium
  • RedHat Network Satellite Server 4.2
  • RedHat Network Satellite Server 5.0
  • RedHat Network Satellite Server 5.1
  • Slackware Slackware Linux 10.0
  • Slackware Slackware Linux 9.0
  • Slackware Slackware Linux 9.1
  • SuSE Linux Enterprise Server 8
  • SUSE SuSE Linux 10.0
  • SUSE SuSE Linux 10.1
  • SUSE SuSE Linux 9.2
  • SUSE SuSE Linux 9.3
  • SuSE SuSE Linux Desktop 1.0
  • SuSE SuSE Linux OpenExchange Server 4
  • SuSE SuSE Linux Retail Solution 8
  • SuSE SuSE Linux School Server
  • SuSE SuSE Linux Standard Server 8
  • SuSE SuSE SLED 10
  • SuSE SuSE SLES 10
  • SuSE SuSE SLES 9
  • Turbolinux Turbolinux 10 Desktop
  • Turbolinux Turbolinux 10 F...
  • Turbolinux Turbolinux 10 Server
  • Turbolinux Turbolinux 10 Server x64 Ed
  • Turbolinux Turbolinux 7 Server
  • Turbolinux Turbolinux 8 Server
  • Turbolinux Turbolinux FUJI
  • Turbolinux Turbolinux Home
  • Turbolinux Turbolinux Multimedia
  • Turbolinux Turbolinux Personal
  • Turbolinux Turbolinux Appliance Server 1.0 Hosting Ed
  • Turbolinux Turbolinux Appliance Server 1.0 Workgroup Ed
  • Turbolinux Turbolinux Appliance Server 2.0
  • VMware Server 1.0
  • VMware Server 1.0.1
  • VMware Server 1.0.2
  • VMware Server 1.0.3
  • VMware Server 1.0.4
  • VMware Workstation 6.0
  • VMware Workstation 6.0.1
  • VMware Workstation 6.0.2
  • Xerox WorkCentre 7655
  • Xerox WorkCentre 7665
  • Xerox WorkCentre 232
  • Xerox WorkCentre 238
  • Xerox WorkCentre 245
  • Xerox WorkCentre 255
  • Xerox WorkCentre 265
  • Xerox WorkCentre 275

Reported:

Sep 28, 2006

The information within this database may change without notice. Use of this information constitutes acceptance for use in an AS IS condition. There are NO warranties, implied or otherwise, with regard to this information or its use. Any use of this information is at the user's risk. In no event shall the author/distributor (IBM Internet Security Systems X-Force) be held liable for any damages whatsoever arising out of or in connection with the use or spread of this information.

For corrections or additions please email ignore thisxforceignore this@ignore thisus.ignore thisibm.comignore this

Return to the main page

* According to the Forum of Incident Response and Security Teams (FIRST), the Common Vulnerability Scoring System (CVSS) is an "industry open standard designed to convey vulnerability severity and help to determine urgency and priority of response." IBM PROVIDES THE CVSS SCORES "AS IS" WITHOUT WARRANTY OF ANY KIND, INCLUDING THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE. CUSTOMERS ARE RESPONSIBLE FOR ASSESSING THE IMPACT OF ANY ACTUAL OR POTENTIAL SECURITY VULNERABILITY.
The information within this database may change without notice. Use of this information constitutes acceptance for use in an AS IS condition. There are NO warranties, implied or otherwise, with regard to this information or its use. Any use of this information is at the user's risk. In no event shall IBM be held liable for any damages whatsoever arising out of or in connection with the use or spread of this information.

About IBM Internet Security Systems

IBM Internet Security Systems is a trusted security advisor to thousands of the world's leading businesses and governments, helping to provide pre-emptive protection for networks, desktops and servers. The IBM Proventia? integrated security platform is designed to automatically protect against both known and unknown threats, helping to keep networks up and running and shield customers from online attacks before they impact business assets. IBM Internet Security Systems products and services are based on the proactive security intelligence of its X-Force? research and development team ? an unequivocal world authority in vulnerability and threat research. The IBM Internet Security Systems product line is also complemented by comprehensive Managed Security Services and Professional Security Services. For more information, visit the IBM Internet Security Systems Web site at www.iss.net or call 800-776-2362.